ros-humble-ament-cmake-auto (1.3.14-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 22 Feb 2026 23:00:00 -0000

ros-humble-ament-cmake-auto (1.3.13-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 12 Jan 2026 23:00:00 -0000

ros-humble-ament-cmake-auto (1.3.12-1jammy) jammy; urgency=high

  * Add USE_SCOPED_HEADER_INSTALL_DIR option to ament_auto_package (#577 <https://github.com/ament/ament_cmake/issues/577>)
  * Contributors: Kotaro Yoshimoto

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 26 Jun 2025 22:00:00 -0000

ros-humble-ament-cmake-auto (1.3.11-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 24 Nov 2024 23:00:00 -0000

ros-humble-ament-cmake-auto (1.3.10-1jammy) jammy; urgency=high

  * More specific prefix in some cmake_parse_argument calls (#523 <https://github.com/ament/ament_cmake/issues/523>) (#538 <https://github.com/ament/ament_cmake/issues/538>)
  * Contributors: mergify[bot]

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 25 Jul 2024 22:00:00 -0000

ros-humble-ament-cmake-auto (1.3.9-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 14 May 2024 22:00:00 -0000

ros-humble-ament-cmake-auto (1.3.8-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 15 Feb 2024 23:00:00 -0000

ros-humble-ament-cmake-auto (1.3.7-1jammy) jammy; urgency=high

  * Add ament_auto_add_gmock to ament_cmake_auto (#482 <https://github.com/ament/ament_cmake/issues/482>) (#493 <https://github.com/ament/ament_cmake/issues/493>)
  * Contributors: mergify[bot]

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 23 Jan 2024 23:00:00 -0000

ros-humble-ament-cmake-auto (1.3.6-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 12 Nov 2023 23:00:00 -0000

ros-humble-ament-cmake-auto (1.3.5-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 21 Jun 2023 22:00:00 -0000

ros-humble-ament-cmake-auto (1.3.4-1jammy) jammy; urgency=high

  * Fix ament_auto_add_gtest's parameter passing (backport #421 <https://github.com/ament/ament_cmake/issues/421>) (#424 <https://github.com/ament/ament_cmake/issues/424>)
  * Contributors: mergify[bot]

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 24 Apr 2023 22:00:00 -0000

ros-humble-ament-cmake-auto (1.3.3-1jammy) jammy; urgency=high

  * Rolling: ament_cmake_auto should include dependencies as SYSTEM (#385 <https://github.com/ament/ament_cmake/issues/385>) (#404 <https://github.com/ament/ament_cmake/issues/404>)
  * Contributors: mergify[bot]

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 06 Nov 2022 23:00:00 -0000

ros-humble-ament-cmake-auto (1.3.2-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 16 May 2022 22:00:00 -0000

ros-humble-ament-cmake-auto (1.3.1-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 27 Mar 2022 22:00:00 -0000

ros-humble-ament-cmake-auto (1.3.0-1jammy) jammy; urgency=high

  * Update forthcoming version in changelog
  * Contributors: Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 16 Feb 2022 23:00:00 -0000

ros-humble-ament-cmake-auto (1.2.1-1jammy) jammy; urgency=high

  * Fix typo in ament_auto_find_test_dependencies (#363 <https://github.com/ament/ament_cmake/issues/363>)
  * Update maintainers to Michael Jeronimo and Michel Hidalgo (#362 <https://github.com/ament/ament_cmake/issues/362>)
  * Contributors: Audrow Nash, Daisuke Nishimatsu

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 13 Jan 2022 23:00:00 -0000

ros-humble-ament-cmake-auto (1.2.0-1jammy) jammy; urgency=high

  * Add ament_auto_add_gtest (#344 <https://github.com/ament/ament_cmake/issues/344>)
  * Use FindPython3 instead of FindPythonInterp (#355 <https://github.com/ament/ament_cmake/issues/355>)
  * Update maintainers (#336 <https://github.com/ament/ament_cmake/issues/336>)
  * Contributors: Chris Lalancette, Joshua Whitley, Shane Loretz

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 28 Oct 2021 22:00:00 -0000

ros-humble-ament-cmake-auto (1.1.4-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 05 May 2021 22:00:00 -0000

ros-humble-ament-cmake-auto (1.1.3-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 08 Mar 2021 23:00:00 -0000

ros-humble-ament-cmake-auto (1.1.2-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 26 Feb 2021 21:59:00 -0000

ros-humble-ament-cmake-auto (1.1.1-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 26 Feb 2021 18:12:00 -0000

ros-humble-ament-cmake-auto (1.1.0-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 23 Feb 2021 23:00:00 -0000

ros-humble-ament-cmake-auto (1.0.4-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 24 Jan 2021 23:00:00 -0000

ros-humble-ament-cmake-auto (1.0.3-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 09 Dec 2020 23:00:00 -0000

ros-humble-ament-cmake-auto (1.0.2-1jammy) jammy; urgency=high

  * Update package maintainers. (#286 <https://github.com/ament/ament_cmake/issues/286>)
  * Contributors: Michel Hidalgo

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 06 Dec 2020 23:00:00 -0000

ros-humble-ament-cmake-auto (1.0.1-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 09 Sep 2020 22:00:00 -0000

ros-humble-ament-cmake-auto (1.0.0-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 21 Jul 2020 22:00:00 -0000

ros-humble-ament-cmake-auto (0.9.6-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 22 Jun 2020 22:00:00 -0000

ros-humble-ament-cmake-auto (0.9.5-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 01 Jun 2020 22:00:00 -0000

ros-humble-ament-cmake-auto (0.9.4-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 25 May 2020 22:00:00 -0000

ros-humble-ament-cmake-auto (0.9.3-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 18 May 2020 22:00:00 -0000

ros-humble-ament-cmake-auto (0.9.2-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 06 May 2020 22:00:00 -0000

ros-humble-ament-cmake-auto (0.9.1-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 24 Apr 2020 13:45:00 -0000

ros-humble-ament-cmake-auto (0.9.0-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 24 Apr 2020 10:25:00 -0000

ros-humble-ament-cmake-auto (0.8.1-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 22 Oct 2019 22:00:00 -0000

ros-humble-ament-cmake-auto (0.8.0-1jammy) jammy; urgency=high

  * pass unparsed argument of ament_auto_package() to ament_package() (#194 <https://github.com/ament/ament_cmake/issues/194>)
  * Contributors: Dirk Thomas

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 03 Oct 2019 22:00:00 -0000

ros-humble-ament-cmake-auto (0.7.3-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 28 May 2019 22:00:00 -0000

ros-humble-ament-cmake-auto (0.7.2-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 19 May 2019 22:00:00 -0000

ros-humble-ament-cmake-auto (0.7.1-1jammy) jammy; urgency=high

  * Add option to ament_auto_package to install to share folder: (#166 <https://github.com/ament/ament_cmake/issues/166>)
    - This will simplify installing folders like 'cmake' and 'launch'
    into a package's shared folder
  * Contributors: jpsamper2009

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 06 May 2019 22:00:00 -0000

ros-humble-ament-cmake-auto (0.7.0-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 07 Apr 2019 22:00:00 -0000

ros-humble-ament-cmake-auto (0.6.0-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 12 Nov 2018 23:00:00 -0000

ros-humble-ament-cmake-auto (0.5.1-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 16 Jul 2018 22:00:00 -0000

ros-humble-ament-cmake-auto (0.5.0-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 12 Jun 2018 22:00:00 -0000

ros-humble-ament-cmake-auto (0.4.0-1jammy) jammy; urgency=high

  * 0.0.3
  * Install ament_cmake_auto executables to libexec by default (#97 <https://github.com/ament/ament_cmake/issues/97>)
    * Install ament_cmake_auto executables to libexec by default
    * update docblock
    * simplify installing executables
  * 0.0.2
  * Add optional list of required packages for ament_auto_find_build_dependencies (#93 <https://github.com/ament/ament_cmake/issues/93>)
    * Add optional list of required packages
    * Prefix ARG variables + fixup
    * REQUIRED_PACKAGES -> REQUIRED
    * Output all ignored packages at once
    * Pass REQUIRED in addition to QUIET, not instead of
    * _ignored_pacakges -> _additional_packages
    * De-duplicate the find_package call
    * rename var and small changes
  * Merge pull request #86 <https://github.com/ament/ament_cmake/issues/86> from ament/remove_include
    remove unnecessary include
  * remove unnecessary include
  * Merge pull request #84 <https://github.com/ament/ament_cmake/issues/84> from ament/use_in_list
    use IN_LIST
  * use IN_LIST
  * update schema url
  * add schema to manifest files
  * Merge pull request #72 <https://github.com/ament/ament_cmake/issues/72> from ament/cmake35
    require CMake 3.5
  * remove trailing spaces from comparisons, obsolete quotes and explicit variable expansion
  * require CMake 3.5
  * add explicit build type
  * disable debug output
  * add missing copyright / license information, update format of existing license information
  * Merge pull request #3 <https://github.com/ament/ament_cmake/issues/3> from ament/windows
    Windows Support
  * [windows] fixed installation of dll's
  * use project(.. NONE)
  * deal with CMake double expansion
  * add ament_cmake_libraries
  * update cmake code style
  * add ament_cmake_auto
  * Contributors: Dirk Thomas, William Woodall, dhood

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 07 Dec 2017 23:00:00 -0000


